---
title: Setting Recovery Type
description: Node recover type is set with the <code>POST
  /controller/setRecoverType</code> HTTP method and URI.
pubDate: 2026-08-17T09:53:44.266Z
antora:
  editUrl: https://github.com/couchbase/docs-server/edit/release/7.6/modules/rest-api/pages/rest-node-recovery-incremental.adoc
  xref: xref:7.6@server:rest-api:rest-node-recovery-incremental.adoc[]
---

[Consult the llms.txt file for a full list of contents](/llms.txt)
[View original HTML](/server/7.6/rest-api/rest-node-recovery-incremental.html)

# Setting Recovery Type

> Node recover type is set with the `POST /controller/setRecoverType` HTTP method and URI. 

## [](#http-method-and-uri)HTTP method and URI

Sets the recovery type to be performed for a node. Recovery options are delta node recovery or full recovery. The recovery type for a node is set after the node is failed over and before rebalance. Rebalance is required to apply the recovery.

POST /controller/setRecoveryType

The progress of setting recovery type can be tracked just like rebalance. After the data is persisted to disk and replicas are up-to-date, the node is put into the failed over state.

## [](#syntax)Syntax

POST /controller/setRecoveryType
    otpNode=[node@hostname]
    recoveryType=[full|delta]

## [](#example)Example

The following Curl request example sets delta node recovery.

curl -u Administrator:password -d 'otpNode=ns_1@10.5.2.118' -d 'recoveryType=delta' \
http://10.5.2.54:8091/controller/setRecoveryType

## [](#response-codes)Response codes

200       // Request succeeded
400       // recoveryType and/or otpNode could not be understood by the server
404       // The cluster is running in a pre-3.0 compatibility mode and thus
             cannot satisfy the request